/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0
 */
package com.topcoder.file.statistics.matcher;

import com.topcoder.util.config.Property;

/**
 * <summary> FileCategoryMatcher concrete implementation that matches binary files. </summary>
 *
 * <configuration> Constructor with Property is provided to address reflection contract with no real use.
 * </configuration>
 *
 * <thread-safety> This class is stateless and thread-safe. </thread-safety>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class BinaryFileMatcher extends FileCategoryMatcher {

    /**
     * <summary> Default constructor. Does nothing. </summary>
     */
    public BinaryFileMatcher() {
        // empty
    }

    /**
     * <summary> Reflection contract. Does nothing. </summary>
     *
     * @param property the property to configure from
     *
     * @throws NullPointerException if property is null
     */
    public BinaryFileMatcher(Property property) {
        CheckHelper.checkNull(property, "property");
    }

    /**
     * <summary> Simply return isBinary. </summary>
     *
     * @return isBinary
     * @param isBinary whether file is binary
     */
    protected boolean match(boolean isBinary) {
        return isBinary;
    }
}
