/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0
 */
package com.topcoder.file.statistics;

/**
 * <summary> New exception added in version 2.0b to be thrown from the ArgumentHandler interface to indicate the
 * provided arguments are not valid. Notice though validator can be returned from option proposal the receive
 * method could implement more validation logic, or the logic needs to be performed on the combination of a few
 * arguments rather than a single one. </summary>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 2.0b
 * @since 2.0b
 */
public class InvalidArgumentException extends ConfigurationException {

    /**
     * <summary> Constructor with error message (no check). </summary>
     *
     * @param message the error message
     */
    public InvalidArgumentException(String message) {
        super(message);
    }

    /**
     * <summary> Constructor with error message and root cause (no check). </summary>
     *
     * @param message the error message
     * @param cause the root cause
     */
    public InvalidArgumentException(String message, Throwable cause) {
        super(message, cause);
    }
}
