/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0
 */
package com.topcoder.file.statistics.processor.linecounter;


/**
 * Helper class for argument validation.
 *
 * @author anonymuous, TCSDEVELOPER
 * @version 1.0
 */
final class CheckHelper {

    /** Private constructor to prevent instantiation. */
    private CheckHelper() {
        // empty
    }

    /**
     * Checks whether the given Object is not null.
     *
     * @param obj the argument to check
     * @param name the name of the argument
     * @throws NullPointerException if the given Object is null
     */
    public static void checkNull(Object obj, String name) {
        if (obj == null) {
            throw new NullPointerException(name + " should not be null.");
        }
    }

    /**
     * Checks whether the given String is not null and not empty.
     *
     * @param str the String to check
     * @param name the name of the argument
     * @throws NullPointerException if the given string is null
     * @throws IllegalArgumentException if the given string is empty
     */
    public static void checkString(String str, String name) {
        checkNull(str, name);
        if (str.trim().length() == 0) {
            throw new IllegalArgumentException(name + " should not be empty.");
        }
    }

}
