/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0 (Unit Test)
 */
package com.topcoder.file.statistics;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import com.topcoder.file.statistics.matcher.AnyFileMatcherTests;
import com.topcoder.file.statistics.matcher.BinaryFileMatcherTests;
import com.topcoder.file.statistics.matcher.ExtensionMatcherTests;
import com.topcoder.file.statistics.matcher.FileCategoryMatcherTests;
import com.topcoder.file.statistics.matcher.FileNameMatcherTests;
import com.topcoder.file.statistics.matcher.FileTypeMatcherTests;
import com.topcoder.file.statistics.matcher.MimeMatcherTests;
import com.topcoder.file.statistics.matcher.RegexMatcherTests;
import com.topcoder.file.statistics.matcher.TextFileMatcherTests;
import com.topcoder.file.statistics.matcher.TypeNameMatcherTests;
import com.topcoder.file.statistics.processor.FileProcessorBaseTests;
import com.topcoder.file.statistics.processor.linecounter.CStyleLineCounterTests;
import com.topcoder.file.statistics.processor.linecounter.TextLineCounterTests;
import com.topcoder.file.statistics.reporting.AbstractStatsReportingTests;
import com.topcoder.file.statistics.reporting.BasicStatsReportingTests;
import com.topcoder.file.statistics.reporting.StatsCollectionTests;
import com.topcoder.file.statistics.reporting.XmlStatsReportingTests;

/**
 * <p>This test case aggregates all Unit test cases.</p>
 *
 * @author TopCoder, TCSDEVELOPER
 * @version 1.0
 */
public class UnitTests extends TestCase {

    /**
     * <p>Creates all unit test suite.</p>
     *
     * @return all unit test suite.
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();
        suite.addTest(new TestSuite(ConfigurationExceptionTests.class));
        suite.addTest(new TestSuite(FileMatchingExceptionTests.class));
        suite.addTest(new TestSuite(FileStatisticsExceptionTests.class));
        suite.addTest(new TestSuite(StatsReportingExceptionTests.class));
        suite.addTest(new TestSuite(InvalidArgumentExceptionTests.class));
        suite.addTest(new TestSuite(MissingInitializationExceptionTests.class));
        suite.addTest(new TestSuite(ArgumentOptionTests.class));
        suite.addTest(new TestSuite(MetricTests.class));
        suite.addTest(new TestSuite(StatsResultTests.class));
        suite.addTest(new TestSuite(FileStatisticsTests.class));
        suite.addTest(new TestSuite(ExtendedFileStatisticsTests.class));
        suite.addTest(new TestSuite(AnyFileMatcherTests.class));
        suite.addTest(new TestSuite(BinaryFileMatcherTests.class));
        suite.addTest(new TestSuite(TextFileMatcherTests.class));
        suite.addTest(new TestSuite(FileCategoryMatcherTests.class));
        suite.addTest(new TestSuite(FileNameMatcherTests.class));
        suite.addTest(new TestSuite(ExtensionMatcherTests.class));
        suite.addTest(new TestSuite(RegexMatcherTests.class));
        suite.addTest(new TestSuite(FileTypeMatcherTests.class));
        suite.addTest(new TestSuite(TypeNameMatcherTests.class));
        suite.addTest(new TestSuite(MimeMatcherTests.class));
        suite.addTest(new TestSuite(FileProcessorBaseTests.class));
        suite.addTest(new TestSuite(TextLineCounterTests.class));
        suite.addTest(new TestSuite(CStyleLineCounterTests.class));
        suite.addTest(new TestSuite(StatsCollectionTests.class));
        suite.addTest(new TestSuite(AbstractStatsReportingTests.class));
        suite.addTest(new TestSuite(BasicStatsReportingTests.class));
        suite.addTest(new TestSuite(XmlStatsReportingTests.class));
        suite.addTest(new TestSuite(MainTests.class));
        suite.addTest(new TestSuite(Demo.class));
        return suite;
    }

}
